Bug 317221 - Incorrect instructions in RHEL documentation alternative boot media USB pen drvie
Incorrect instructions in RHEL documentation alternative boot media USB pen d...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Installation_Guide (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ruediger Landmann
ecs-bugs
https://www.redhat.com/docs/manuals/e...
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-03 15:22 EDT by Dave Shin
Modified: 2013-01-09 00:19 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-12 21:09:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Shin 2007-10-03 15:22:08 EDT
Description of problem: Instruction in RHEL documentation ( reported RHEL 4u5 )
on configuring USB pen drive as boot media to install RHEL O/S is incorrect and
will result in error message.

Version-Release number of selected component (if applicable): Check all RHEL
documentation

How reproducible:ALWAYS


Steps to Reproduce:
1.dd if=diskboot.img of=/path/to/usb/drive/device 
2.
3.
  
Actual results:
SYSLINUX 2.11 2004-08-16   Copyright (C) 1994-2004 H. Peter Anvin
Could not find kernel image:  linux
boot:
I have tried passing "vmlinuz" to the boot prompt and also "vmlinuz
initrd=initrd.img"  Both give similar responses.  The vmlinuz (and the
initrd.img if specified) both load and the system reports "Ready."
Then:
Decompressing Linux...
ran out of input data
-- System halted 

Expected results:boot off of USB key for systems without CD-ROM drives

Additional info:Customer reported issue to GSS support.  Provided steps 
to create bootable USB. Internal Red Hat CRM 1770870. Customer closed case
and confirmed steps worked.
a. Format the USB stick as one big FAT partition:
          mkdosfs /dev/sdb1
     b. Copy everything from the CD:/RedHat/isolinux to the memory
          stick.
             *You can delete isolinux.bin, boot.cat, and TRANS.TBL
     c. Rename isolinux.cfg to syslinux.cfg
     d. Copy the initrd.img from CD:/RedHat/images/pxeboot to the memory
         stick. (just say yes to overwriting the initrd)
     e. Modify syslinux.cfg to suit your needs. I specify mine to boot:
             linux ks=nfs:myserver:/somedir/ks.cfg
     f. Make the memory stick bootable: "syslinux /dev/sdb1".
             *Remember to unmount the memory stick prior to performing this.
     g. Now mount the usb stick to create a grub.conf and install grub:
                 mount /dev/sdb1 /media
                 cd /media
     h. create your grub.conf file
             default=0
             timeout=5
             root (hd1,0)
             title Our Grub.conf
       <tab>   kernel /vmlinuz
       <tab>   initrd /initrd.img
     i. execute the command:
              grub-install --root-directory=/media /dev/sdb1
     j. Check that your usb stick has a /boot/grub directory if not there then
               mkdir -p /boot/grub
     k. Then copy the created grub.conf to /boot/grub directory.
     L. Boot from stick 

Is this a documentation defect? or the provided diskboot.img bug?
Comment 1 Don Domingo 2007-10-03 22:22:16 EDT
revising in source:
<snip>
USB flash drive

    You can also boot using a USB flash drive. To do this, follow these steps:

       1. Format the USB flash drive as one FAT partition (mkdosfs /dev/<device ID>.
       2. Copy the contents of CD:/RedHat/isolinux/ (from the Installation CD)
to the USB flash drive. You can remove isolinux.bin, boot.cat, and TRANS.TBL.
       3. Rename isolinux.cfg to syslinux.cfg.
       4. Copy CD:/RedHat/images/pxeboot/initrd.img to the USB flash drive.
       5. If you need to configure any boot settings, edit the syslinux.cfg in
the USB flash drive accordingly. For example, to configure the installation to
use a kickstart file shared over NFS, specify linux
ks=nfs:<nfsserver>:/<path>/ks.cfg.
       6. Make the USB flash drive bootable. To do so, run syslinux /dev/<device ID>
       7. Install GRUB on the USB flash drive. To do this, mount the USB flash
drive to /media and run grub-install --root-directory=/media /dev/<device ID>
       8. Verify that the USB flash drive has a /boot/grub directory. If not,
create the directory manually.
       9. Create your grub.conf file. Below is a sample grub.conf file you can use:

          default=0
          timeout=5
          root (hd1,0)
          title <name>
          	kernel /vmlinuz
          	initrd /initrd.img

      10. Copy the created grub.conf to /boot/grub in the USB flash drive.
</quote>

setting as MODIFIED, pushing changes to www.redhat.com soon
Comment 3 cRaig 2009-10-05 15:17:15 EDT
I can confirm this bug.

Description of problem:
The documentation states: "To boot using a USB pen drive, use the dd command to copy the diskboot.img image file from the /images/ directory on the DVD or CD-ROM #1. For example: dd if=diskboot.img of=/dev/sda"

However, the image file "diskboot.img" does not exist in /images.


Version-Release number of selected component (if applicable):
Fedora 11 i386 DVD

How reproducible:ALWAYS

Steps to Reproduce:
1. mount -o loop Fedora-11-i386-DVD.iso /media/cdrom0
2. cd /media/cdrom0/images
3. ls -l diskboot.img
  
Actual results:
"ls: cannot access diskboot.img: No such file or directory"

Expected results:
-rw-r--r-- 1 root root FILESIZE DATE diskboot.img
Comment 4 cRaig 2009-10-05 15:27:23 EDT
Related bug:

https://bugzilla.redhat.com/show_bug.cgi?id=518662
Comment 7 Ruediger Landmann 2011-01-05 23:16:46 EST
Section rewritten for Red Hat Enterprise Linux 5 Installation Guide build 3.1-13, based on above, plus kbase article 10553

Your system firmware must support booting from a USB device in order for this boot method to work. Refer to the hardware vendor's documentation for details on specifying the device from which the system boots.

   1.
      Make a copy of the Red Hat Enterprise Linux 5 installation files available. Either:
          *
            Insert the Red Hat Enterprise Linux 5 installation DVD or CD-ROM#1.
          *
            Mount an image of the Red Hat Enterprise Linux 5 installation DVD or CD-ROM#1.
          *
            Ensure that the installation files are available on a network location accessible by your system, for example, on an NFS share that it can access.
   2.
      Attach a USB flash drive to your system. The following steps presume a system that runs Red Hat Enterprise Linux 5.
   3.
      Run dmesg to identify the device name for the drive. If you run dmesg shortly after you attach the drive, the device name appears in the most recent lines of output. For example, the following dmesg output shows a flash drive that receives the device name /dev/sdb:

      Initializing USB Mass Storage driver...
      scsi2 : SCSI emulation for USB Mass Storage devices
      usb-storage: device found at 5
      usb-storage: waiting for device to settle before scanning
      usbcore: registered new driver usb-storage
      USB Mass Storage support registered.
        Vendor: USB 2.0   Model: Flash Disk        Rev: 5.00
        Type:   Direct-Access                      ANSI SCSI revision: 02
      SCSI device sdb: 2043904 512-byte hdwr sectors (1046 MB)
      sdb: Write Protect is off
      sdb: Mode Sense: 0b 00 00 08
      sdb: assuming drive cache: write through
      SCSI device sdb: 2043904 512-byte hdwr sectors (1046 MB)
      sdb: Write Protect is off
      sdb: Mode Sense: 0b 00 00 08
      sdb: assuming drive cache: write through
      sdb: sdb1
      sd 2:0:0:0: Attached scsi removable disk sdb
      sd 2:0:0:0: Attached scsi generic sg1 type 0
      usb-storage: device scan complete

   4.
      Unmount any partitions on the flash drive that are currently mounted. It is likely that your system automatically mounted any available partitions when you attached the flash drive.
         1.
            Use the mount to find any mounted partitions on the flash drive. For example, the following output shows a single partition on /dev/sdb is mounted, the partition named /dev/sdb1:

            $ mount
            /dev/mapper/VolGroup00-LogVol00 on / type ext3 (rw)
            proc on /proc type proc (rw)
            sysfs on /sys type sysfs (rw)
            devpts on /dev/pts type devpts (rw,gid=5,mode=620)
            tmpfs on /dev/shm type tmpfs (rw,rootcontext="system_u:object_r:tmpfs_t:s0")
            /dev/sda1 on /boot type ext3 (rw)
            none on /proc/sys/fs/binfmt_misc type binfmt_misc (rw)
            sunrpc on /var/lib/nfs/rpc_pipefs type rpc_pipefs (rw)
            /dev/sdb1 on /media/BOOTUSB type vfat (rw,nosuid,nodev,uid=500,utf8,shortname=mixed,flush)

         2.
            Unmount partitions with the umount command. For example, to unmount /dev/sdb1, run:

            umount /dev/sdb1

            Run umount for each partition on the flash drive that is mounted. 
   5.
      Use fdisk to partition the flash drive to contain a single partition only, with the following parameters:
         1.
            numbered 1.
         2.
            partition type is set to b (W95 FAT32).
         3.
            flagged as bootable. 
   6.
      Run mkdosfs to format the partition created in the previous step as FAT. For example:

      mkdosfs /dev/sdb1

   7.
      Mount the partition. For example:

      mount /dev/sdb1 /mnt

   8.
      Copy the contents of the isolinux/ directory of the installation DVD or CD-ROM#1 onto the flash drive.
   9.
      Rename the configuration file from isolinux.cfg to syslinux.cfg. For example, if the flash drive is mounted on /mnt, run:

      cd /mnt/; mv isolinux.cfg syslinux.cfg

         1.
            If necessary, edit syslinux.cfg for your particular environment. For example, to configure the installation to use a kickstart file shared over NFS, specify:

            linux ks=nfs:://ks.cfg

  10.
      Copy the images/pxeboot/initrd.img file from the installation DVD or CD-ROM#1 onto the flash drive.
  11.
      Unmount the flash drive. For example:

      umount /dev/sdb1

  12.
      Make the USB flash drive bootable. For example:

      syslinux /dev/sdb1

  13.
      Mount the flash drive again. For example:

      mount /dev/sdb1 /mnt

  14.
      Install the GRUB boot loader on the USB flash drive. For example:

      grub-install --root-directory=/mnt /dev/sdb

  15.
      Verify that the USB flash drive has a /boot/grub directory. If it does not, create the directory manually; for example:

      mkdir -p /mnt/boot/grub

  16.
      Create the boot/grub/grub.conf file on the flash drive as follows:

      default=0
      timeout=5
      root (hd1,0)
      title Red Hat Enterprise Linux installer
      kernel /vmlinuz
      initrd /initrd.img

  17.
      Unmount the flash drive. For example:

      umount /dev/sdb1

  18.
      Detach the USB flash drive.
  19.
      Attach the USB disk to the system on which you wish to install Red Hat Enterprise Linux.
  20.
      Boot the target system from the USB flash drive.

Note You need to log in before you can comment on or make changes to this bug.